%define oname xfce4-mailwatch-plugin

Summary:	Mail Watcher plugin for the Xfce panel
Name:		xfce-mailwatch-plugin
Version:	1.0.1
Release:	%mkrel 5
License:	GPL
Group:		Graphical desktop/Xfce
URL:		http://spuriousinterrupt.org/projects/mailwatch
Source0:	http://spuriousinterrupt.org/files/mailwatch/%{oname}-%{version}.tar.bz2
BuildRequires:	xfce-panel-devel >= 4.4.1
BuildRequires:	libxfcegui4-devel
Requires:	xfce-panel >= 4.4.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mailwatch is a plugin for the Xfce 4 panel. It is intended to replace the 
current (4.0, 4.2) mail checker plugin in Xfce 4.4.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x \
	--disable-static \
	--enable-ssl
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{oname}

%post
%{update_menus}
%clean_icon_cache hicolor

%postun
%{clean_menus}
%clean_icon_cache hicolor

%clean
rm -rf %{buildroot}

%files -f %{oname}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/xfce4/panel-plugins/%{oname}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4/doc/C/*.html
%{_datadir}/xfce4/doc/C/images/*.png


%changelog
* Fri Jun 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-5mdv2008.0
+ Revision: 43193
- fix group

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0.1-4mdv2008.0
+ Revision: 36545
- rebuild with correct optflags

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - fix path

* Sun Jun 03 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 34779
- update to latest version
- spec file clean


* Tue Dec 26 2006 Jérôme Soyer <saispo@mandriva.org> 1.0.1-0.svn_r20246.5mdv2007.0
+ Revision: 102044
- Rebuild for latest xfce

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xfce-mailwatch-plugin-1.0.1-0.svn_r20246.4mdv2007.0

* Sun Aug 27 2006 C4arles A Edwards <eslrahc@mandriva.org> 1.0.1-0.svn_r20246.4mdv2007.0
- Bump Xfce version in BR and switch BR to libxfcegui4-devel
-

* Thu Jul 13 2006 Charles A Edwards <eslrahc@mandriva.org> 1.0.1-0.svn_r20246.3mdv2007.0
- rebuild for xfce-4.3.90.2
- mkrel

* Tue Apr 04 2006 Guillaume Bedot <littletux@mandriva.org> 1.0.1-0.svn_r20246.2mdk
- fixed URL, buildrequires

* Sat Mar 11 2006 Marcel Pol <mpol@mandriva.org> 1.0.1-0.svn_r20246.1mdk
- svn r20246

* Sat Feb 11 2006 Marcel Pol <mpol@mandriva.org> 1.0.1-0.svn_r19739.1mdk
- initial mandrake package

